Create Carrier Labels
POST
https://api.cargopanel.co/v2/carriers/createPOST
https://sandbox-api.cargopanel.co/v2/carriers/createGenerate carrier labels for previously created international and domestic shipments using their shipment IDs.
Request Fields
domesticstringoptionalThe shipment ID of the domestic shipment (e.g. 92442655).
internationalstringoptionalThe shipment ID of the international shipment (e.g. 90811092).
Request Body
{
"domestic": "92442655",
"international": "90811092"
}Example Response
200 OK
{
"success": true,
"international": {
"success": true,
"operation": "create",
"carrier": "Widect",
"trackingNumber": "WID12345678",
"label": "https://..."
},
"domestic": {
"success": true,
"operation": "create",
"carrier": "HepsiJET",
"trackingNumber": "CPD98453214"
}
}Responses
200Carrier label operation executed successfully
400At least one shipment ID (international or domestic) must be provided
401Unauthorized (invalid or missing token)